function [frames] = LucamTakeSynchronousSnapshots()
%LUCAMTAKESYNCHRONOUSSNAPSHOTS - Takes a snapshot from all cameras that
%have an open connection at the same time.
try
    frames = LuDispatcher(32);
catch
    errordlg(lasterr, 'Snapshot Error', 'modal');
end